Dash0 acquires Polar Signals

Manage Dashboards

Import a dashboard

post/api/import/dashboard

This endpoint allows you to import an existing dashboard into your organization. It's intended for one-time migrations rather than ongoing dashboard management. Unlike the standard API, this endpoint supports importing dashboards with full editability, allowing you to modify dashboards that were previously created elsewhere. Note: This endpoint is not recommended for Infrastructure-as-Code (IaC) workflows. Using it in IaC scenarios can cause configuration drift and inconsistencies between your source configuration and the imported dashboard state. Importing a dashboard without an id will create a new dashboard and return the created asset with a generated id. Importing a dashboard with an existing id (metadata>dash0Extensions>id) will override the corresponding dashboard definition. In case there is no dashboard with the given id a new dashboard will be created.

Parameters 1

datasetquery
References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample requestcurl --request POST 'https://api.eu-west-1.aws.dash0.com/api/import/dashboard' \
  --header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "kind": "Dashboard",
  "metadata": {
    "name": "Example"
  },
  "spec": {}
}'

Request body required

A dashboard definition that is compatible with Perses' dashboarding system.

stringrequired
"Dashboard"
DashboardMetadatarequired
objectrequired

Responses

The imported dashboard.

A dashboard definition that is compatible with Perses' dashboarding system.

stringrequired
"Dashboard"
DashboardMetadatarequired
objectrequired